kr.co.hanwha.hifive.util

## Class HFNonUnderlineClickableSpan

- java.lang.Object
- - android.text.style.CharacterStyle
  - - android.text.style.ClickableSpan
    - - kr.co.hanwha.hifive.util.HFNonUnderlineClickableSpan

All Implemented Interfaces:
  android.text.style.UpdateAppearance

    public class HFNonUnderlineClickableSpan
    extends android.text.style.ClickableSpan

Created by sanghoonkwon on 2018. 3. 29..

### Field Summary

Fields
`(package private) int` `color`

### Constructor Summary

Constructors
Constructor and Description
`HFNonUnderlineClickableSpan()`
`HFNonUnderlineClickableSpan(int color)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `onClick(android.view.View widget)`
`void` `updateDrawState(android.text.TextPaint ds)`

### Methods inherited from class android.text.style.CharacterStyle

`getUnderlying, wrap`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### color

    int color

### Constructor Detail

#### HFNonUnderlineClickableSpan

    public HFNonUnderlineClickableSpan()

#### HFNonUnderlineClickableSpan

    public HFNonUnderlineClickableSpan(int color)

### Method Detail

#### onClick

    public void onClick(android.view.View widget)

Specified by:
  `onClick` in class `android.text.style.ClickableSpan`

#### updateDrawState

    public void updateDrawState(android.text.TextPaint ds)

Overrides:
  `updateDrawState` in class `android.text.style.ClickableSpan`